colossalai.nn
=============

.. automodule:: colossalai.nn
   :members:

.. toctree::
   :maxdepth: 2

   colossalai.nn.graph
   colossalai.nn.layer
   colossalai.nn.loss
   colossalai.nn.lr_scheduler
   colossalai.nn.metric
   colossalai.nn.optimizer
   colossalai.nn.parallel


.. toctree::
   :maxdepth: 2

   colossalai.nn.init
